Ask Your Question
0

Undefined symbol: _ZN11LanguageTagC1ERKS_ [closed]

asked 2018-02-12 17:14:02 +0100

seanman gravatar image

updated 2020-10-29 23:55:03 +0100

Alex Kemp gravatar image

I try to open LibreOffice and I get:

/usr/lib/libreoffice/program/soffice.bin: symbol lookup error: /usr/lib/libreoffice/program/libmergedlo.so: undefined symbol: _ZN11LanguageTagC1ERKS_

This was after I added the LO PPA and try to install the latest version. Same error happened then, so I removed all the LO packages and went back to the Ubuntu version.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Alex Kemp
close date 2020-10-29 23:55:59.720883

Comments

Please report that to the PPA; and don't forget (as you did here) to include the Ubuntu version you are using, and the PPA version.

Mike Kaganski gravatar imageMike Kaganski ( 2018-02-12 17:19:52 +0100 )edit

2 Answers

Sort by » oldest newest most voted
1

answered 2018-02-13 10:06:05 +0100

Pseudomonas gravatar image

You can fix it this way: sudo apt install --reinstall libreoffice

edit flag offensive delete link more

Comments

I am using Debian testing version and I faced with this problem. This solution worked for me.

galzsolt gravatar imagegalzsolt ( 2018-02-26 22:02:22 +0100 )edit

Same here, but new to the platform, so I can not upvote it.

ßingen gravatar imageßingen ( 2019-01-25 12:29:36 +0100 )edit

Also worked for me...

ra2258 gravatar imagera2258 ( 2019-12-28 17:10:26 +0100 )edit
0

answered 2018-02-12 23:16:53 +0100

seanman gravatar image

After a couple of hours, this is the only way I could fix the problem:

I purged LibreOffice: sudo apt-get purge libreoffice*

And then I deleted the /usr/lib libreoffice directory: /usr/lib/libreoffice/program

Did an autoremove: sudo apt-get autoremove

Then reinstalled: sudo apt-get install libreoffice

Now LibreOffice appears to be working properly.

edit flag offensive delete link more

Comments

worked for me, and clean and well executed on debian..

catchmonster gravatar imagecatchmonster ( 2018-09-20 15:21:12 +0100 )edit

I did this but I also had to install the package 'uno-libs3' afterwards due to the file libuno_sal.so.3 missing.

Adam Parker gravatar imageAdam Parker ( 2019-09-05 00:23:33 +0100 )edit

Question Tools

1 follower

Stats

Asked: 2018-02-12 17:14:02 +0100

Seen: 6,992 times

Last updated: Feb 13 '18